using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using SK.MemberBLL;

namespace SK.MemberWeb.admin
{
	/// <summary>
	/// Mail_SendOne 的摘要说明。
	/// </summary>
	public class Mail_SendOne : BasePage
	{
		protected System.Web.UI.WebControls.Button btnSend;
		protected System.Web.UI.WebControls.RadioButtonList InHtml;
		protected System.Web.UI.WebControls.Label lblMsg;
		protected System.Web.UI.WebControls.TextBox Content;
		protected System.Web.UI.WebControls.TextBox Subject;
		protected System.Web.UI.WebControls.TextBox EmailAddress;
		RightMemberSystem rightmember = new RightMemberSystem();
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			lblMsg.Text = "";
			if(!IsPostBack)
			{
				if(!rightmember.Allow(0,"Mail",this.CurrentMemberID))
					Response.Redirect("noright.aspx");

			}
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.btnSend.Click += new System.EventHandler(this.btnSend_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void btnSend_Click(object sender, System.EventArgs e)
		{
			bool inhtml = Convert.ToBoolean(Convert.ToInt16(InHtml.SelectedValue));
			try
			{
				Utils.SendMail(EmailAddress.Text,EmailAddress.Text,Subject.Text,Content.Text,inhtml?PatNorSoft.Mail.Message.Build.BodyPartFormat.HTML:PatNorSoft.Mail.Message.Build.BodyPartFormat.Plain);
				lblMsg.Text = "发送成功";
			}
			catch(Exception ex)
			{
				lblMsg.Text = "失败，错误信息如下:<br>"+ex.Message;
			}
		}
	}
}
